# GESEffectAsset

This asset has a GStreamer bin-description as ID and is able to determine to what track type the effect should be used in.

## GESEffectAsset

    GObject
        ╰──GESAsset
            ╰──GESTrackElementAsset
                ╰──GESEffectAsset

### Members

`parent_instance` (GESTrackElementAsset) –
No description available
`priv` (GESEffectAssetPrivate*) –
No description available
`_ges_reserved` (gpointer *) –
No description available

### Class structure

#### GESEffectAssetClass

##### Fields

`parent_class` (GESTrackElementAssetClass) –
No description available
`_ges_reserved` (gpointer *) –
No description available

### GES.EffectAssetClass

##### Attributes

`parent_class` (GES.TrackElementAssetClass) –
No description available
`_ges_reserved` ([ Object ]) –
No description available

### GES.EffectAssetClass

##### Attributes

`parent_class` (GES.TrackElementAssetClass) –
No description available
`_ges_reserved` ([ object ]) –
No description available

## GES.EffectAsset

    GObject.Object
        ╰──GES.Asset
            ╰──GES.TrackElementAsset
                ╰──GES.EffectAsset

### Members

`parent_instance` (GES.TrackElementAsset) –
No description available
`priv` (GES.EffectAssetPrivate) –
No description available
`_ges_reserved` ([ Object ]) –
No description available

## GES.EffectAsset

    GObject.Object
        ╰──GES.Asset
            ╰──GES.TrackElementAsset
                ╰──GES.EffectAsset

### Members

`parent_instance` (GES.TrackElementAsset) –
No description available
`priv` (GES.EffectAssetPrivate) –
No description available
`_ges_reserved` ([ object ]) –
No description available

The results of the search are